package com.utic.center.utic.stat.server.dao.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UticStat05MinFltrMapper {

    int truncateStatLocal();
    int insertStatLocalRcvLinkTraffic(@Param("past25Min") String past25Min, @Param("past30Min") String past30Min);

    int truncateLinkFilter();
    int insertLinkFilterStdDev(@Param("past25Min") String past25Min, @Param("codeValue0") String codeValue0, @Param("codeValue5") String codeValue5);

    int updateLinkFilterPattern(@Param("fromTable") String fromTable, @Param("past25Min") String past25Min, @Param("minValue") Integer minValue, @Param("maxValue") Integer maxValue);

    int updateLinkFilterSpeedNull();

    int updateLinkFilterRoadRank();

    int updateLinkFilterMinMax(@Param("minValue6") Integer minValue6, @Param("maxValue6") Integer maxValue6,
                               @Param("minValue7") Integer minValue7, @Param("maxValue7") Integer maxValue7,
                               @Param("minValue8") Integer minValue8, @Param("maxValue8") Integer maxValue8,
                               @Param("minValue9") Integer minValue9, @Param("maxValue9") Integer maxValue9);

    int insertStatLocalLog();


}
